=== debian/changelog ===
mesa (6.5.1-0.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport a fix from mesa 6.5.2 to mesa 6.5.1 which:
     - fixes braces around the ASSERT macro;
     - fixes a clipping problem, which leads to systematic segfaults of the
       X server (Closes: #405803).

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Thu, 22 Feb 2007 21:08:56 +0100

mesa (6.5.1-0.5) unstable; urgency=low

  * Non-maintainer upload.
  * Build with -fno-strict-aliasing to fix misbuild of i965_dri.so
    (closes: #394311).  Thanks to Michel Dänzer for the fix, and to Ryan
    Richter for the report and testing.

 -- Julien Cristau <julien.cristau@ens-lyon.org>  Wed,  3 Jan 2007 13:48:20 +0100

mesa (6.5.1-0.4) unstable; urgency=medium

  * Non-maintainer upload (and brown paper bag release).
  * _Depend_ on libx11-dev from libgl1-mesa-dev; revert previous change.
    Fixes FTBFS in other packages. (Really Closes: #396498)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 11 Nov 2006 13:55:20 +0100

mesa (6.5.1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libx11-dev; fixes FTBFS. (Closes: #396498)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed,  8 Nov 2006 20:58:40 +0100

mesa (6.5.1-0.2) unstable; urgency=low

  * Non-maintainer upload
  * Disable generation of SSE instructions (closes: #390560)
  * Remove duplicate and unused build configurations
  * Remove extra source files left from CVS snapshots (closes: #389283)
  * Enable i965 DRI driver on i386 and amd64. Thanks to Ryan Richter
    for the patch. (closes: #392030)
  * Enable Unichrome DRI driver on amd64 (closes: #391900)
  * Enable FFB DRI driver on sparc, not i386 (closes: #388025)
  * Consistently compile C sources as C99 (closes: #373623)
  * Fix X display locking error in GLX. Thanks to Josh Triplett for
    the patch. (closes: #391681)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 13 Oct 2006 02:25:52 +0100

mesa (6.5.1-0.1) unstable; urgency=low

  * New upstream version
  * Build-dep on x11proto-gl-dev >= 1.4.8
  * Stuff not in the upstream tarballs
    + os2 glut stuff
    + docs/gears.png
  * Bump libdrm-dev build-dep to >= 2.0.2
  * Add libdrm cflags to the debian-dri config. This allows the build system
    to find drm.h
  * Make sure that libGl looks for the dri drivers in the proper location. Do
    this by setting the appropriate variables in the debian config
  * Re-add s390 and m68k to the USE_IEEE test in src/mesa/main/imports.h. This
    package seriously needs to store patches somewhere that are easy to find
    and re-apply.
  * Add patch from Cyril Brulebois to allow package to build on HURD, which
    lacks DRI and directfb. This includes not using lib-directfb in the
    build-depends for hurd-i386. It also creates a new debian config,
    debian-indirect, which is used when building for HURD. This config is
    invoked in the debian-dri config on hurd-i386. Thanks to Cyril Brulebois
    for the patch, Michael Banck, Michel Dänzer, and Samuel Thibault for
    input on an appropriate fix. (closes: #358065)

 -- David Nusinow <dnusinow@debian.org>  Mon, 25 Sep 2006 21:21:47 -0400

mesa (6.5.0.cvs.20060524-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload mesa 6.5 cvs to unstable, because we need it for Xorg 7.1.
  * Upload with medium urgency instead of high, since this is a new
    upstream that should get some testing in unstable in spite of the
    multiple RC bugfixes.
  * Update debian/copyright with the full text of the SGI Free B and SGI
    MIT-style licenses in use in the package, and take a stab at
    cleaning up the list of paths and licenses.
    Closes: #368562.
  * Make mesa-common-dev Replaces: xlibosmesa-dev from sarge.
    Closes: #384057.
  * Fix libgl1-mesa-glx to not Provides: libgl1-mesa-dri, since it
    definitely doesn't provide DRI support and this Provides: breaks
    upgrades from sarge.  Closes: #384282.
  * debian/libgl1-mesa-swx11.shlibs: create a static shlibs file,
    because libOSMesa.so.6 is not provided by all implementations of
    libGL and so needs a separate shlibs declaration.  Also make
    libgl1-mesa-glx the default alternative instead of libgl1-mesa-swx11
    for consistency even when building against libgl1-mesa-swx11,
    because to the extent these are interchangeable (i.e., 99%...),
    there should be no reason to prefer one over the other -- and to the
    extent that they aren't interchangeable, it's wrong to list libgl1
    as an alternative dependency at all.  Closes: #386185.
  * Don't provide shlibs at all for libgl1-mesa-swx11-dbg; this is an
    unnecessary duplication of the existing libgl1-mesa-swx11 shlibs
    since packages should not really be linking against /usr/lib/debug/
    separately.
  * src/mesa/tnl/t_vb_render.c: Drop a pointless printf() in the
    RENDER_LINE macro, getting rid of copious debug output on console.
    Closes: #369895.
  * libgl1-mesa-swx11 has no reason to depend on libglu, anything that
    wants libglu will have its own dependency on it; drop this
    hard-coded dependency from debian/control.
  * Have libglu1-mesa-dev Provides: xlibmesa-glu-dev, since it's the
    successor to that package and xlibmesa-glu-dev is still referenced
    in a number of places and this makes for more reliable builds than
    depending on alternatives without requiring another dummy -dev
    package from xorg.
  * Replace references to Source-Version in debian/control with either 
    binary:Version or source:Version, depending on whether the
    relationship references an arch: any or arch: all package, making
    mesa binNMU-safe; add build-depends on dpkg-dev (>= 1.13.19) to
    ensure these substvars are available.

 -- Steve Langasek <vorlon@debian.org>  Fri, 15 Sep 2006 15:51:16 -0700

mesa (6.5.0.cvs.20060524-1) experimental; urgency=low

  * The "-O666 -fwater-c00ling -DBE_F4ST" release
  * New pull from CVS
  * Merge back and forth with 6.4.2-1

